# Actiwatch Python Class

Python class for reading Philips Actiwatch data.

## Table of Contents

- [Getting Started](#getting-started)
- [Usage](#usage)
- [Development](#development)
- [Credits](#credits)
- [License](#license)

## Getting Started

### Prerequisites

`python=3.6` with `pipenv` installed.

### Installation

`git clone` (_preferred_) or download the repository

## Usage

Use the class `from actiwatch import Actiwatch`, and give it a path to Actiware data.

## Development

### Contributing

Before contributing any major changes, developers should checkout a `development` branch. Before merging changes with `master`, these major additions should be reviewed with a colleague who's familiar with the project.

Code should pass all functional (`make dev-tests`) and stylistic (`make dev-format`) tests before being committed.

### Running Tests

#### Functional Tests

`make dev-tests`

#### Style Tests

`make dev-format`

### Versioning

Our group uses [Semantic Versioning](http://semver.org/) for versioning.

## Credits

### Authors

- **Ryan Opel**

## License

This project is licensed under the GNU General Public License v2.0 - see [LICENSE](LICENSE) for details.